You are here

After upgrading from Java Virtual Machine version 7 to 8, an "XML/XSL Parse Errors" window pops up and Aleph notices printouts/emails don’t work anymore?

Aleph XML/XSL errors can result from several problems, including server-side problems. However, if you get an “XML/XSL Errors” popup window when manually printing/emailing your notices, and then get the error listed below when you click ok, then you have a known java error caused by an incorrect Java upgrade installation due to a wrong selection in the upgrade installation process. Always choose to uninstall previous version when upgrading Java. Otherwise, your PC will have the new Java 8 files installed next to the old Java 7 files. This will confuse Aleph, which relies on one version or the other, and will prevent emailing notices manually or automatically via Aleph daemon.

Error: Registry key 'Software\JavaSoft\Java Runtime Environment'\CurrentVersion'
has value '1.8', but '1.7' is required.
Error: could not find java.dll
Error: Could not find Java SE Runtime Environment.

To correct the above problem, please follow the instructions outlined in the link below to delete the outdated Java version 7 from the PC:

https://java.com/en/download/help/uninstall_java.xml

You can read more about this problem in the following announcement:

http://support.cunylibraries.org/committee/systems-committee/announcemen...